#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int h, w;
    cin >> h >> w;
    long long ans=h*w;
    while(h>0 && w>0){
        if(h>=w){
            ans+=w*(w+1)/2-1+w;
            --h;
            ans+=h*w;
        }else{
            ans+=h*(h+1)/2-1+h;
            --w;
            ans+=h*w;
        }
    }
    cout<<ans-1;
    return 0;
}
